=== debian/changelog ===
ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.0.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.2-1focal) focal; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 30 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.0-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.1.0-1focal) focal; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 May 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.0.0-1focal) focal; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.5.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.4.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Load profiles based on topic names in rmw_fastrtps_dynamic_cpp (#497 <https://github.com/ros2/rmw_fastrtps/issues/497>)
  * Contributors: Eduardo Ponz Segrelles, Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.3.0-1focal) focal; urgency=high

  * Set rmw_dds_common::GraphCache callback after init succeeds. (#496 <https://github.com/ros2/rmw_fastrtps/issues/496>)
  * Handle typesupport errors on fetch. (#495 <https://github.com/ros2/rmw_fastrtps/issues/495>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.2.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.1.0-1focal) focal; urgency=high

  * Check for correct context shutdown (#486 <https://github.com/ros2/rmw_fastrtps/issues/486>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)
  * Contributors: Ignacio Montesino Valle, José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.0.0-1focal) focal; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#467 <https://github.com/ros2/rmw_fastrtps/issues/467>)
    * Workaround when the client is gone before server sends response
    * Change add to the map to listener callback
  * Update the package.xml files with the latest Open Robotics maintainers (#459 <https://github.com/ros2/rmw_fastrtps/issues/459>)
  * Update Quality Declarations and READMEs (#455 <https://github.com/ros2/rmw_fastrtps/issues/455>)
    * Add QL of external dependencies to rmw_fastrtps_dynamic_cpp QD
    * Add QD links for dependencies to rmw_fastrtps_dynamic_cpp QD
    * Provide external dependencies QD links
    * Add README to rmw_fastrtps_dynamic
    * Add QD for rmw_fastrtps_dynamic
  * Contributors: JLBuenoLopez-eProsima, Jaime Martin Losa, José Luis Bueno López, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 22 Oct 2020 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (3.1.4-1focal) focal; urgency=high

  * Ensure rmw_destroy_node() completes despite run-time errors. (#458 <https://github.com/ros2/rmw_fastrtps/issues/458>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Oct 2020 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (3.1.3-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Contributors: Alejandro Hernández Cordero


