## ros-rolling-rmw-fastrtps-dynamic-cpp 7.5.0

=== debian/changelog ===
ros-rolling-rmw-fastrtps-dynamic-cpp (7.5.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.4.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.3.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.2.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.2.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.1.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.1.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Call get_type_hash_func (#680 <https://github.com/ros2/rmw_fastrtps/issues/680>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.0.0-1jammy) jammy; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.5.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Brian

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.4.0-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Allow null arguments in the EventsExecutor parameters (#602 <https://github.com/ros2/rmw_fastrtps/issues/602>)
  * Add EventExecutor to rmw_fastrtps_dynamic_cpp
  * Fix cpplint error (#601 <https://github.com/ros2/rmw_fastrtps/issues/601>)
  * Contributors: Jose Luis Rivero, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.3.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies (#598 <https://github.com/ros2/rmw_fastrtps/issues/598>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.2.1-1jammy) jammy; urgency=high

  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.2.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.0.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.2-1jammy) jammy; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 09 Aug 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.1-1jammy) jammy; urgency=high




